For bug reports, lag, and rendering issues, please use bugs.mojang.com! Share your thoughts on graphics issues like lighting, animations, colors, textures, icons, and effects related to graphics. Torchlight in your hand has been evaluated for its impact on gameplay and rejected.

24

1.17 Without OpenGL 3.3+

10 Comments

Please sign in to leave a comment.

Sorted by oldest
  • 5
    Registered User commented
    Comment actions Permalink

    What does opengl 3.3 do that 3.1 couldnt do because it really looks like there weren't that many significant changes. My Thinkpad with Intel HD Graphics 3000 would be perfectly capable of playing the game if not for this stupid requirement

  • 3
    Registered User commented
    Comment actions Permalink

    Please Mojang make the new version of 1.17 without OpenGL because i cant play with my friends.

     

  • 0
    Registered User commented
    Comment actions Permalink

    Currently using OpengL 3.2 on 1.17.1  without many issues...

  • 2
    Registered User commented
    Comment actions Permalink

    Yes, it's really a bad decision to basically make the game unplayable for specific pcs, there should be an option to use the old renderer, something like "newrender: false" in the options.txt or something

  • 2
    Registered User commented
    Comment actions Permalink

    Yeh. I agree with this. They should let the players decide whether they want to use old rendering or the new one. 

  • 1
    Registered User commented
    Comment actions Permalink

    Here with OpenGL 3.1 and I can run 1.16.5, easily with 200-300fps, why does it have to not even launch cause of one higher version, and there is pretty much nothing differet between 3.1-3.3, not a single significant change, waiting for Microsoft/Mojang to put the old PCs to use and increase the player rate by tons.

  • 0
    Registered User commented
    Comment actions Permalink

    And the matter of the fact is, my pc can run Bedrock 1.18 just fine, but java won't even launch because they want their stupid opengl crap.

  • 1
    Registered User commented
    Comment actions Permalink

    Awful, Microsoft should post a update to 1.17 and 1.18 versions that OpenGL 3.1 is supported, since i ran Minecraft 1.16.5 200-300fps and even did OpenGL 3.3 graphics tests (98fps in results), that is way more above 60 and it's very playable, so I don't see the problem here.

    I cannot even join my friends cause of this one requirement, my laptop meets every requirement for Minecraft 1.17 even 1.18, just not the OpenGL which ruins it all, there should really be a option for your render method, just like the Sodium Mod for Minecraft which let you change the rendering methods of your game to play to your best performance rendering system.

  • 0
    Registered User commented
    Comment actions Permalink

    I use Intel graphics 2000. On windows drivers only go up to opengl 3.1 but on linux they go up to 3.3 which makes it possible to play 1.17+.

  • 0
    Registered User commented
    Comment actions Permalink

    Hi all. I understand why you're all frustrated, but I just learned Minecraft did this and I want to explain why this is one of the BIGGEST improvements to Minecraft in a long time. OpenGL 3.2 came out about the time Minecraft was originally being developed. Minecraft was using legacy technology from day one. Over the years, the benefits of this newer technology has been completely inaccessible to Minecraft, those who make mods, etc.

     

    It is certainly a rough loss for those who are unable to play anymore, but it would be too difficult to maintain two separate rendering pipelines just for people who have computers that don't support 10 year old graphics standards.

     

    The benefits this brings is absolutely immense, it will open up many possibilities for shaders in the vanilla game, the possibilities are really endless. I can understand the frustration with this, but I understand the technology behind this, and I promise this is 100% the right decision for the game.